%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%% File to separate defense spending from government
%% purchases
%%
%%

  
  
 TOTALGOVPURCH = AGG(:,16)+AGG(:,17);
 
 NATDEFENSE = 0.25*TOTALGOVPURCH;
 RESTGOVPURCH = 0.75*TOTALGOVPURCH;
 

 
 % first for rest of government purchases
 
SUMGP = RPM1(17,:)*POPM1(1:prjyear,:)' + RPF1(17,:)*POPF1(1:prjyear,:)' + ...
      RPM2(17,:)*POPM2(1:prjyear,:)' + RPF2(17,:)*POPF2(1:prjyear,:)' + ...
      RPM3(17,:)*POPM3(1:prjyear,:)' + RPF3(17,:)*POPF3(1:prjyear,:)'; 

UNITIES = RESTGOVPURCH./SUMGP';


PERCAPGP(:,:,:,1,1) = repmat(permute(RPM1(17,:),[2,3,1]),[1,prjyear,1]) .* ...
	   	    repmat(permute(UNITIES,[3,1,2]),[ages,1,1]);
PERCAPGP(:,:,:,2,1) = repmat(permute(RPF1(17,:),[2,3,1]),[1,prjyear,1]) .* ...
	            repmat(permute(UNITIES,[3,1,2]),[ages,1,1]);
PERCAPGP(:,:,:,1,2) = repmat(permute(RPM2(17,:),[2,3,1]),[1,prjyear,1]) .* ...
	   	    repmat(permute(UNITIES,[3,1,2]),[ages,1,1]);
PERCAPGP(:,:,:,2,2) = repmat(permute(RPF2(17,:),[2,3,1]),[1,prjyear,1]) .* ...
	   	    repmat(permute(UNITIES,[3,1,2]),[ages,1,1]);
PERCAPGP(:,:,:,1,3) = repmat(permute(RPM3(17,:),[2,3,1]),[1,prjyear,1]) .* ...
	   	    repmat(permute(UNITIES,[3,1,2]),[ages,1,1]);
PERCAPGP(:,:,:,2,3) = repmat(permute(RPF3(17,:),[2,3,1]),[1,prjyear,1]) .* ...
	   	    repmat(permute(UNITIES,[3,1,2]),[ages,1,1]);

PERCAPGP(:,prjyear+1:ages+1,:,:,:) = ...
	repmat(PERCAPGP(:,prjyear,:,:,:),[1,ages-prjyear+1,1,1,1]) .* ...
	repmat(GRTH(:,2:ages-prjyear+2),[1,1,1,2,3]);

PERCAP(:,:,16,:,:) = PERCAPGP;

% now for national defense
 
RPND = ones(1,101); 


SUMND = RPND*POPM1(1:prjyear,:)' + RPND*POPF1(1:prjyear,:)' + ...
      RPND*POPM2(1:prjyear,:)' + RPND*POPF2(1:prjyear,:)' + ...
      RPND*POPM3(1:prjyear,:)' + RPND*POPF3(1:prjyear,:)'; 

UNITIES = NATDEFENSE./SUMND';


PERCAPND(:,:,:,1,1) = repmat(permute(RPND,[2,3,1]),[1,prjyear,1]) .* ...
	   	    repmat(permute(UNITIES,[3,1,2]),[ages,1,1]);
PERCAPND(:,:,:,2,1) = repmat(permute(RPND,[2,3,1]),[1,prjyear,1]) .* ...
	            repmat(permute(UNITIES,[3,1,2]),[ages,1,1]);
PERCAPND(:,:,:,1,2) = repmat(permute(RPND,[2,3,1]),[1,prjyear,1]) .* ...
	   	    repmat(permute(UNITIES,[3,1,2]),[ages,1,1]);
PERCAPND(:,:,:,2,2) = repmat(permute(RPND,[2,3,1]),[1,prjyear,1]) .* ...
	   	    repmat(permute(UNITIES,[3,1,2]),[ages,1,1]);
PERCAPND(:,:,:,1,3) = repmat(permute(RPND,[2,3,1]),[1,prjyear,1]) .* ...
	   	    repmat(permute(UNITIES,[3,1,2]),[ages,1,1]);
PERCAPND(:,:,:,2,3) = repmat(permute(RPND,[2,3,1]),[1,prjyear,1]) .* ...
	   	    repmat(permute(UNITIES,[3,1,2]),[ages,1,1]);

PERCAPND(:,prjyear+1:ages+1,:,:,:) = ...
	repmat(PERCAPND(:,prjyear,:,:,:),[1,ages-prjyear+1,1,1,1]) .* ...
	repmat(GRTH(:,2:ages-prjyear+2),[1,1,1,2,3]);

PERCAP(:,:,17,:,:) = PERCAPND;


clear SUMND SUMGP UNITIES;


% collects population data into one matrix
% no immigration, don't reduce national defense
% because of this: it stays the same

POPND(:,:,1,1,1) = POPM1';
POPND(:,:,1,2,1) = POPF1'; 
POPND(:,:,1,1,2) = POPM2'; 
POPND(:,:,1,2,2) = POPF2'; 
POPND(:,:,1,1,3) = POPM3'; 
POPND(:,:,1,2,3) = POPF3';
   
POPGP(:,:,1,1,1) = POPM1Z';
POPGP(:,:,1,2,1) = POPF1Z';
POPGP(:,:,1,1,2) = POPM2Z';
POPGP(:,:,1,2,2) = POPF2Z';
POPGP(:,:,1,1,3) = POPM3Z';
POPGP(:,:,1,2,3) = POPF3Z';



PVTOTALSGP = PERCAPGP .* repmat(DSCT(:,1:ages+1),[1,1,1,2,3]) .* ...
   		     POPGP(:,1:ages+1,:,:,:);

PVTOTALSND = PERCAPND .* repmat(DSCT(:,1:ages+1),[1,1,1,2,3]) .* ...
   		     POPND(:,1:ages+1,:,:,:);

PVTOTALS(:,:,16,:,:) = PVTOTALSGP;
PVTOTALS(:,:,17,:,:) = PVTOTALSND;

TOTALPOP(:,:,16,:,:) = POPGP;
TOTALPOP(:,:,17,:,:) = POPND;


